/// The number of files to reingest is too large.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ReingestTooManyFiles {
    #[serde(rename = "maxFiles")]
    max_files: i32,
}
impl ReingestTooManyFiles {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(max_files: i32) -> Self {
        Self::builder().max_files(max_files).build()
    }
    #[inline]
    pub fn max_files(&self) -> i32 {
        self.max_files
    }
}
impl conjure_error::ErrorType for ReingestTooManyFiles {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "IngestService:ReingestTooManyFiles"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["maxFiles"]
    }
}
